<?php


namespace TDevAgency\CmsSitemap\Providers;


use Illuminate\Support\Facades\Config;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Route;
use Illuminate\Foundation\Support\Providers\RouteServiceProvider as ServiceProvider;
use TDevAgency\Cms\Middleware\AccessMiddleware;
use TDevAgency\Cms\Middleware\AuthenticateMiddleware;
use TDevAgency\Cms\Models\BaseModels\Post;

class RouteServiceProvider extends ServiceProvider
{
    /**
     * This namespace is applied to your controller routes.
     *
     * In addition, it is set as the URL generator's root namespace.
     *
     * @var string
     */
    protected $namespace = 'TDevAgency\CmsSitemap\Controllers';


    /**
     * Define the routes for the application.
     *
     * @return void
     */
    public function map()
    {
        Route::middleware('web')->prefix('sitemaps')->as('sitemap.')
            ->group(__DIR__ . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'routes.php');
    }

}
